# API Endpoints

Ospree allows you to configure and manage webhooks through its API. This section outlines the available API endpoints for creating, listing, and deleting webhooks, along with endpoints for managing received webhook request notifications.

* [Configure Webhook](/ospree-api/webhooks/api-endpoints/configure-webhook.md)\ <mark style="color:yellow;">`POST`</mark> `/api/v2/webhooks`
* [List Webhooks](/ospree-api/webhooks/api-endpoints/list-webhooks.md)\ <mark style="color:green;">`GET`</mark> `/api/v2/webhooks`
* [List Webhook Event Types](/ospree-api/webhooks/api-endpoints/list-webhook-event-types.md)\ <mark style="color:green;">`GET`</mark> `/api/v2/webhooks/event_types`
* [Delete Webhook](/ospree-api/webhooks/api-endpoints/delete-webhook.md)\ <mark style="color:red;">`DELETE`</mark> `/api/v2/webhooks/:webhook_id`
* [List Webhook Requests](/ospree-api/webhooks/api-endpoints/list-webhook-requests.md)\ <mark style="color:green;">`GET`</mark> `/api/v2/webhooks/requests`
* [Retry Webhook Request](/ospree-api/webhooks/api-endpoints/retry-webhook-request.md)\ <mark style="color:yellow;">`POST`</mark> `/api/v2/webhooks/requests/:request_id`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ospree.io/ospree-api/webhooks/api-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
